Travis没有为多个python版本启动作业

2024-02-26 12:01:45 发布

您现在位置:Python中文网/ 问答频道 /正文

我的工作是这样的:

jobs:
  include:
    - stage: "Unit tests"
      language: python
      python:
        - "3.6"
        - "3.7"
      install:
        - pip install -r requirements.txt
      script:
        - python -m unittest test.client

我希望这个单元测试可以运行两个作业,一个用于python3.6,另一个用于3.7,但是它总是只运行于列出的第一个版本。我是不是漏了什么?我按照文档中的指南:https://docs.travis-ci.com/user/languages/python/

谢谢


Tags: installpiptesttxtclientincludejobsscript